Modify

#1031 closed defect (fixed)

Group chats / rooms in jabber get wrong new names.

Reported by: anonymous Owned by: wilmer
Priority: normal Milestone:
Component: Purple Version: devel
Keywords: Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro: Debian 6

Description

I created some jabber rooms:

  1. &bitlbee, control channel (joined)
  2. #linfra, chat channel
  3. #maskinrummet, chat channel

when joining them (with /join #linfra) bitlbee creates new strange channels with diffrent names:

  1. &bitlbee, control channel (joined)
  2. #linfra, chat channel
  3. #chat_000, chat channel (joined)
  4. #maskinrummet, chat channel
  5. #chat_001, chat channel (joined)

My nick settings set for my original rooms/channels seems to apply to the new auto created ones.

My version of bitlbee: $ dpkg -l | grep bitlbee ii bitlbee-common 3.2+20130115+devel+969-1 An IRC to other chat networks gateway (common files/docs) ii bitlbee-libpurple 3.2+20130115+devel+969-1 An IRC to other chat networks gateway (using libpurple)

Attachments (0)

Change History (7)

comment:1 Changed at 2013-02-14T18:36:27Z by Wilmer van der Gaast <wilmer@…>

I assume that this i with libpurple?

comment:2 Changed at 2013-02-14T19:25:52Z by anonymous

Yes I thing so, how do I verify? I got the libpurle package installed but I cant remeber to have installed it. Using your debian nightly repo.

comment:3 Changed at 2013-02-14T19:29:49Z by Wilmer van der Gaast <wilmer@…>

If "help purple" gives you sensible output, you're using libpurple, and in that case indeed Jabber chats won't work well. Don't use bitlbee-purple if you don't need to.

comment:4 Changed at 2013-02-14T19:47:51Z by anonymous

Seems to work, thank you.

comment:5 Changed at 2014-01-21T16:40:37Z by anonymous

Thank you. This was informative!

comment:6 Changed at 2014-07-14T17:45:03Z by dx

Component: BitlBeePurple
Owner: set to wilmer

Still a legitimate purple bug, so changing component.

comment:7 Changed at 2015-03-16T03:12:20Z by dx

Resolution: fixed
Status: newclosed

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.